
Redmine - Defect #10681

Export to Persian PDF problem

2012-04-16 16:41 - Ben Scott

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.6.2   

Resolution: Fixed Affected version: 2.6.0

Description

If issues language be fa-IR, exported PDF is like as attached files.

Related issues:

Related to Redmine - Defect #8753: PDF export for Hebrew is reversed Closed 2010-07-15

Related to Redmine - Defect #13575: Graphic characters not exported Closed

Related to Redmine - Defect #13781: CJK(Chinese/Japanese/Korean) characters a... Closed

Related to Redmine - Defect #16040: problem in exporting Arabic text to csv Closed

Related to Redmine - Defect #18586: Arabic PDF Closed

Has duplicate Redmine - Defect #18504: PDF export for arabic and persian lang... Closed

Associated revisions

Revision 13726 - 2014-12-06 14:49 - Toshi MARUYAMA

Gemfile: update rbpdf version to 1.18.3 (#16040, #18586, #10681)

Revision 13729 - 2014-12-06 14:57 - Toshi MARUYAMA

pdf: use DejaVuSans font in Arabic and Persian (#16040, #18586, #10681)

Revision 13976 - 2015-02-08 05:04 - Toshi MARUYAMA

pdf: remove styles of Arabic/Persian Italic and Thai Bold (#10681, #18586)

Contributed by Jun NAITOH.

Revision 13977 - 2015-02-08 05:04 - Toshi MARUYAMA

pdf: remove styles by fontname instated of Arabic/Persian/Thai locale (#10681, #18586)

Revision 13982 - 2015-02-08 11:38 - Toshi MARUYAMA

Merged r13729 from trunk to 2.6-stable (#16040, #18586, #10681)

pdf: use DejaVuSans font in Arabic and Persian.

Revision 13983 - 2015-02-08 11:38 - Toshi MARUYAMA

Merged r13976 from trunk to 2.6-stable (#10681, #18586)

pdf: remove styles of Arabic/Persian Italic and Thai Bold.

Contributed by Jun NAITOH.

Revision 13984 - 2015-02-08 11:39 - Toshi MARUYAMA

Merged r13977 from trunk to 2.6-stable (#10681, #18586)

pdf: remove styles by fontname instated of Arabic/Persian/Thai locale.

History

#1 - 2012-04-16 16:45 - Etienne Massip

There has been some PDF export improvements with 1.4.0, maybe you should give it a try on http://demo.redmine.org or http://m.redmine.org?
#2 - 2012-04-16 17:33 - Toshi MARUYAMA

- Subject changed from Export to PDF in utf8 issues problem to Export to Persian PDF problem

- Category changed from I18n to PDF export

#3 - 2012-04-16 17:38 - Toshi MARUYAMA

See #8753.

#4 - 2014-02-23 07:33 - Toshi MARUYAMA

- Related to Defect #16040: problem in exporting Arabic text to csv added

#5 - 2014-11-30 13:24 - Toshi MARUYAMA

- Has duplicate Defect #18504: PDF export for arabic and persian language doesn't work added

#6 - 2014-11-30 13:28 - Toshi MARUYAMA

- Affected version changed from 1.3.1 to 2.6.0

I have created issue.

https://github.com/naitoh/rbpdf/issues/3

#7 - 2014-12-06 05:16 - Jun NAITOH

I released rbpdf 1.18.3 gem.

Persian support was fixed by rbpdf 1.18.3.

please use DejaVuSans font.

1. please bundle update

bundle update rbpdf

2. set DejaVuSans font.

config/locales/fa.yml

general_pdf_fontname: DejaVuSans

3. use Persian locale

#8 - 2014-12-06 11:00 - Ben Scott

- File error_gantt.png added

I update rbpdf to 1.18.3

I changed general_pdf_fontname to "DejaVuSans"

I used Persian locale (fa_IR.UTF-8)

but, I get same error.

#9 - 2014-12-06 13:06 - Jun NAITOH

- File Persian_pdf.png added

m mahdi wrote:

I update rbpdf to 1.18.3

I changed general_pdf_fontname to "DejaVuSans"

I used Persian locale (fa_IR.UTF-8)

but, I get same error.

 Sorry, additional procedure.

Please restart Redmine.

result
Persian is a locale in RTL.

But, you seem to be using a locale in LTR.

 

#10 - 2014-12-06 14:32 - Ben Scott

- File task_history.png added

Thanks for your reply.

After restart Redmine, PDF export was correct.

But, task history is incorrect yet.

 

Also the "DejaVuSans" font is not appropriate for Persian and Arabic language. Please change font to Arial, Tahoma or "times new roman"

#11 - 2014-12-06 16:24 - Jun NAITOH

- File Persian_pdf2.png added

- File pdf_Arabic_Persian.patch added

DejaVuSans Arabic and Persian language weren't supported by Italic font.
Please use pdf_Arabic_Persian.patch. (for Remine 2.6 and trunk)

result

 Persian_pdf2.png 

#12 - 2014-12-06 16:58 - Ebrahim Mohammadi

m mahdi wrote:

After restart Redmine, PDF export was correct.

 No, the exported PDF is not correct yet despite the improvement. The problem is all characters are joined to their previous characters, even when

they must not be joined.

#13 - 2014-12-07 16:46 - Ben Scott

Ebrahim Mohammadi wrote:

No, the exported PDF is not correct yet despite the improvement. The problem is all characters are joined to their previous characters, even

when they must not be joined.

 Yes, The font is not correct. The font not suitable for Persian and Arabic text.

#14 - 2014-12-08 07:09 - Ebrahim Mohammadi

I'm not sure font is the problem. DejaVu fonts work well with Persian. I think something else is wrong.

#15 - 2014-12-21 08:26 - Jun NAITOH

- File pdf.rb_r13778.diff added

Ebrahim Mohammadi wrote:

I'm not sure font is the problem. DejaVu fonts work well with Persian.

 Yes, I think so, too.

I think something else is wrong.

 I released rbpdf 1.18.4 gem.

I fixed many Arabic and Persian PDF export's problem by rbpdf 1.18.4.

1. please bundle update

bundle update rbpdf

2. set DejaVuSans font.

config/locales/fa.yml

general_pdf_fontname: DejaVuSans

config/locales/ar.yml

general_pdf_fontname: DejaVuSans

3. Please use pdf.rb_r13778.diff  patch. (for Remine 2.6 and trunk)

4. Please restart Redmine.

5. Please use Arabic or Persian locale

6. Please export PDF

#16 - 2014-12-22 13:05 - Ben Scott

Jun NAITOH wrote:

Ebrahim Mohammadi wrote:

I'm not sure font is the problem. DejaVu fonts work well with Persian.
 Yes, I think so, too.

I think something else is wrong.

 I released rbpdf 1.18.4 gem.

I fixed many Arabic and Persian PDF export's problem by rbpdf 1.18.4.

1. please bundle update

[...]

2. set DejaVuSans font.

config/locales/fa.yml

[...]

config/locales/ar.yml

[...]

3. Please use pdf.rb_r13778.diff  patch. (for Remine 2.6 and trunk)

4. Please restart Redmine.

5. Please use Arabic or Persian locale

6. Please export PDF

 Thanks Jun.

It was correct and works well.

#17 - 2014-12-27 00:38 - Jun NAITOH

m mahdi wrote:

Thanks Jun.

It was correct and works well.

 Thank you very much for your confirmation!

#18 - 2015-01-04 12:38 - Toshi MARUYAMA

- Target version set to 2.6.1

#19 - 2015-01-04 13:53 - Toshi MARUYAMA

- File web.png added

- File pdf.png added

- Target version deleted (2.6.1)

Sorry, I cannot show italic correctly.

Ruby 1.8.7

Ruby 1.9.3

Ruby 2.1.5
#20 - 2015-01-04 13:57 - Toshi MARUYAMA

Previous note is on 2.6-stable r13840 applying note 15.

#21 - 2015-01-10 07:27 - Jun NAITOH

- File pdf.rb_r13857.patch added

Toshi MARUYAMA wrote:

Sorry, I cannot show italic correctly.

 Sorry, pdf.rb_r13778.diff has problem.

DejaVuSans Arabic and Persian language weren't supported by Italic font.

I fixed so as not to use an italic style by pdf.rb_r13857.patch.

#22 - 2015-01-29 05:02 - Toshi MARUYAMA

- Related to Defect #18586: Arabic PDF added

#23 - 2015-02-08 04:49 - Toshi MARUYAMA

- Target version set to 2.6.2

#24 - 2015-02-08 12:25 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in 2.6-stable r13984, thanks.

Files

utf8-pdf1.png 4.65 KB 2012-04-16 Ben Scott

utf8-pdf2.png 12.7 KB 2012-04-16 Ben Scott

error_gantt.png 14.7 KB 2014-12-06 Ben Scott

Persian_pdf.png 17.7 KB 2014-12-06 Jun NAITOH

task_history.png 46.8 KB 2014-12-06 Ben Scott

Persian_pdf2.png 58.9 KB 2014-12-06 Jun NAITOH

pdf_Arabic_Persian.patch 602 Bytes 2014-12-06 Jun NAITOH

pdf.rb_r13778.diff 879 Bytes 2014-12-21 Jun NAITOH

pdf.png 14 KB 2015-01-04 Toshi MARUYAMA

web.png 21.6 KB 2015-01-04 Toshi MARUYAMA

pdf.rb_r13857.patch 1.25 KB 2015-01-10 Jun NAITOH
